# modules/blm_x/blm_x.h File Reference

`#include <mios32_config.h>`

## Data Structures
struct | blm_x_config_t
## Defines
#define | BLM_X_NUM_ROWS 4
#define | BLM_X_BTN_NUM_COLS 4
#define | BLM_X_LED_NUM_COLS 4
#define | BLM_X_LED_NUM_COLORS 3
#define | BLM_X_ROWSEL_DOUT_SR 1
#define | BLM_X_LED_FIRST_DOUT_SR 2
#define | BLM_X_BTN_FIRST_DIN_SR 1
#define | BLM_X_ROWSEL_INV_MASK 0x00
#define | BLM_X_DEBOUNCE_MODE 0
#define | BLM_X_COLOR_MODE 0
#define | BLM_X_NUM_BTN_SR (BLM_X_BTN_NUM_COLS / 8 + 1)
#define | BLM_X_NUM_LED_SR (BLM_X_LED_NUM_COLS * BLM_X_LED_NUM_COLORS / 8 + 1)
## Functions
s32 | BLM_X_Init (void)
s32 | BLM_X_PrepareRow (void)
s32 | BLM_X_GetRow (void)
s32 | BLM_X_BtnHandler (void *notify_hook)
s32 | BLM_X_BtnGet (u32 btn)
u8 | BLM_X_BtnSRGet (u8 row, u8 sr)
s32 | BLM_X_LEDSet (u32 led, u32 color, u32 value)
s32 | BLM_X_LEDColorSet (u32 led, u32 color_mask)
s32 | BLM_X_LEDSRSet (u8 row, u8 sr, u8 sr_value)
s32 | BLM_X_LEDGet (u32 led, u32 color)
u32 | BLM_X_LEDColorGet (u32 led)
u8 | BLM_X_LEDSRGet (u8 row, u8 sr)
s32 | BLM_X_ConfigSet (blm_x_config_t config)
blm_x_config_t | BLM_X_ConfigGet (void)
## Variables
u8 | BLM_X_LED_rows [BLM_X_NUM_ROWS][BLM_X_NUM_LED_SR]

## Define Documentation

#define BLM_X_BTN_FIRST_DIN_SR 1

#define BLM_X_BTN_NUM_COLS 4

#define BLM_X_COLOR_MODE 0

#define BLM_X_DEBOUNCE_MODE 0

#define BLM_X_LED_FIRST_DOUT_SR 2

#define BLM_X_LED_NUM_COLORS 3

#define BLM_X_LED_NUM_COLS 4

#define BLM_X_NUM_BTN_SR (BLM_X_BTN_NUM_COLS / 8 + 1)

#define BLM_X_NUM_LED_SR (BLM_X_LED_NUM_COLS * BLM_X_LED_NUM_COLORS / 8 + 1)

#define BLM_X_NUM_ROWS 4

#define BLM_X_ROWSEL_DOUT_SR 1

#define BLM_X_ROWSEL_INV_MASK 0x00

## Function Documentation

s32 BLM_X_BtnGet | ( | u32 | btn | ) |

s32 BLM_X_BtnHandler | ( | void * | notify_hook | ) |

Here is the call graph for this function:

u8 BLM_X_BtnSRGet | ( | u8 | row,
|  | u8 | sr |
| ) |  |  |

blm_x_config_t BLM_X_ConfigGet | ( | void |  | ) |

s32 BLM_X_ConfigSet | ( | blm_x_config_t | config | ) |

s32 BLM_X_GetRow | ( | void |  | ) |

Here is the call graph for this function:

s32 BLM_X_Init | ( | void |  | ) |

u32 BLM_X_LEDColorGet | ( | u32 | led | ) |

s32 BLM_X_LEDColorSet | ( | u32 | led,
|  | u32 | color_mask |
| ) |  |  |

s32 BLM_X_LEDGet | ( | u32 | led,
|  | u32 | color |
| ) |  |  |

s32 BLM_X_LEDSet | ( | u32 | led,
|  | u32 | color,
|  | u32 | value |
| ) |  |  |

u8 BLM_X_LEDSRGet | ( | u8 | row,
|  | u8 | sr |
| ) |  |  |

s32 BLM_X_LEDSRSet | ( | u8 | row,
|  | u8 | sr,
|  | u8 | sr_value |
| ) |  |  |

s32 BLM_X_PrepareRow | ( | void |  | ) |

Here is the call graph for this function:

## Variable Documentation

u8 BLM_X_LED_rows[BLM_X_NUM_ROWS][BLM_X_NUM_LED_SR]